Bug 92539 - View menu indicators (radio dot and checkmarks) are invisible
Summary: View menu indicators (radio dot and checkmarks) are invisible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.3
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-04 07:26 UTC by Justin L
Modified: 2016-10-25 19:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2015-07-04 07:26:42 UTC
Although Table Menu -> Table Boundaries DOES work to toggle showing table boundaries or not, the menu is no longer updated with a checkmark showing that it is enabled.  It is always disabled.

LinuxMint (Ubuntu-based) 12.04 and 14.04

Steps to reproduce.  
1.)  Insert a new table - do not enable borders
2.)  Table Menu - toggle Table Boundaries on and off.  You should see the table outline appear and disappear, but no visual indicator (no checkmark) in the menu.


# good: [477d94b8ebfe939c7a2864e9e9b09a1e5b628f03] 2015-06-11: source-hash-c8344322a7af75b84dd3ca8f78b05543a976dfd5
git bisect good 477d94b8ebfe939c7a2864e9e9b09a1e5b628f03
# skip: [c6cd95766d60d4fbbff22cca84d42feea2a600cb] 2015-06-22: source-hash-d16e154c627ecc0cb21aaf4b28f7f5ae48ebbde1
git bisect skip c6cd95766d60d4fbbff22cca84d42feea2a600cb
# skip: [c4924c258b01210f140072b6dc6b13c7936e30c8] 2015-06-23: source-hash-17815049103b920df054b4f1bb8b1e99486972f2
git bisect skip c4924c258b01210f140072b6dc6b13c7936e30c8
# good: [772f8de044b2b1fe74371904f3c48e6e34f23b6a] 2015-06-14: source-hash-ad84b40b084cb6c6c129c687303fb863b8b3f746
git bisect good 772f8de044b2b1fe74371904f3c48e6e34f23b6a
# skip: [57aaa0c171166a76dcd09e7092f5ae111d4b5ccb] 2015-06-24: source-hash-2135fe0cef7bcf7160719f1f29ad65f2b064984b
git bisect skip 57aaa0c171166a76dcd09e7092f5ae111d4b5ccb
# good: [ea66e33d42004c5689162daabde2f6feef90bf8a] 2015-06-17: source-hash-ffc1ffed11dc63a69fc2db04f12b3ea266b580fe
git bisect good ea66e33d42004c5689162daabde2f6feef90bf8a
# skip: [12ee5d282ca61a17d52d3ce0ea31ae69fada21b4] 2015-06-25: source-hash-e8938f2ddb5efa8a34d05995cd55cf337c7aaeff
git bisect skip 12ee5d282ca61a17d52d3ce0ea31ae69fada21b4
# skip: [929145def84a0b1ea3ddc6b011d6f8e41a279758] 2015-06-20: source-hash-3ecef8cedb215e49237a11607197edc91639bfcd
git bisect skip 929145def84a0b1ea3ddc6b011d6f8e41a279758
# skip: [97e4cfbb943a38683c30c02fde5d44fe5f4bb1a4] 2015-06-26: source-hash-ee3d40b30816a8fc6d4e8f984659c8dfac19ec3b
git bisect skip 97e4cfbb943a38683c30c02fde5d44fe5f4bb1a4
# bad: [fb3404d2eeab9aa6fd69fedbe4f41e8581b2efd6] 2015-07-01: source-hash-9394362e10de6fe30e673efcdbe56d43579447b1
git bisect bad fb3404d2eeab9aa6fd69fedbe4f41e8581b2efd6
# skip: [2585085ca772383156fa67688430f7b5437af8a3] 2015-06-21: source-hash-d2cefbe7effbee079c05a5a8234305650618fdc1
git bisect skip 2585085ca772383156fa67688430f7b5437af8a3
# skip: [76d73fba459f9ed611e5406742e4248605321c99] 2015-06-29: source-hash-0fec42c21ddec905be5809f0dcea13ac7d15b7fe
git bisect skip 76d73fba459f9ed611e5406742e4248605321c99
# skip: [2e88714919324d1794d4ba66b1f27e9d2746e773] 2015-06-27: source-hash-efa2c05e84d0696b31bd822d3234798be43853ad
git bisect skip 2e88714919324d1794d4ba66b1f27e9d2746e773
# good: [66d7220a7df180fc7b6e7a7f3620d86272c3d838] 2015-06-19: source-hash-ba70050dc37f82306a8a3c5815372a4b9fff18fc
git bisect good 66d7220a7df180fc7b6e7a7f3620d86272c3d838
# skip: [4b90d0d97edcca75ff6e132d5e5cb46f51b6fa4c] 2015-06-28: source-hash-94f29d82af27b757e716a50cd260f7428e0a2679
git bisect skip 4b90d0d97edcca75ff6e132d5e5cb46f51b6fa4c
# skip: [964a50f03649f00a3427c01e98092c4252bf4e1a] 2015-06-30: source-hash-571f0abb95e1d4aa1cb7cad20b783b17ba7ac99d
git bisect skip 964a50f03649f00a3427c01e98092c4252bf4e1a
# only skipped commits left to test
# possible first bad commit: [fb3404d2eeab9aa6fd69fedbe4f41e8581b2efd6] 2015-07-01: source-hash-9394362e10de6fe30e673efcdbe56d43579447b1
# possible first bad commit: [964a50f03649f00a3427c01e98092c4252bf4e1a] 2015-06-30: source-hash-571f0abb95e1d4aa1cb7cad20b783b17ba7ac99d
# possible first bad commit: [76d73fba459f9ed611e5406742e4248605321c99] 2015-06-29: source-hash-0fec42c21ddec905be5809f0dcea13ac7d15b7fe
# possible first bad commit: [4b90d0d97edcca75ff6e132d5e5cb46f51b6fa4c] 2015-06-28: source-hash-94f29d82af27b757e716a50cd260f7428e0a2679
# possible first bad commit: [2e88714919324d1794d4ba66b1f27e9d2746e773] 2015-06-27: source-hash-efa2c05e84d0696b31bd822d3234798be43853ad
# possible first bad commit: [97e4cfbb943a38683c30c02fde5d44fe5f4bb1a4] 2015-06-26: source-hash-ee3d40b30816a8fc6d4e8f984659c8dfac19ec3b
# possible first bad commit: [12ee5d282ca61a17d52d3ce0ea31ae69fada21b4] 2015-06-25: source-hash-e8938f2ddb5efa8a34d05995cd55cf337c7aaeff
# possible first bad commit: [57aaa0c171166a76dcd09e7092f5ae111d4b5ccb] 2015-06-24: source-hash-2135fe0cef7bcf7160719f1f29ad65f2b064984b
# possible first bad commit: [c4924c258b01210f140072b6dc6b13c7936e30c8] 2015-06-23: source-hash-17815049103b920df054b4f1bb8b1e99486972f2
# possible first bad commit: [c6cd95766d60d4fbbff22cca84d42feea2a600cb] 2015-06-22: source-hash-d16e154c627ecc0cb21aaf4b28f7f5ae48ebbde1
# possible first bad commit: [2585085ca772383156fa67688430f7b5437af8a3] 2015-06-21: source-hash-d2cefbe7effbee079c05a5a8234305650618fdc1
# possible first bad commit: [929145def84a0b1ea3ddc6b011d6f8e41a279758] 2015-06-20: source-hash-3ecef8cedb215e49237a11607197edc91639bfcd
Comment 1 Justin L 2015-07-04 08:14:03 UTC
It also affects the checkmarks and radio dots in the view menus of Writer, Calc etc.  It also affects Calc -Edit - Track Changes.
Comment 2 Justin L 2015-07-07 13:10:03 UTC
This is the offending commit:

author	Caolán McNamara <caolanm@redhat.com>	2015-06-30 08:48:39 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2015-06-30 08:49:20 (GMT)
commit	67d0aee921ae7c10bfd823097db73d7f125faa3a (patch)
tree	a62cb09110d8139ee571c01e44c92570e0a0427b
parent	a1b73b37c761a4bea51fb17f1158c98f579eb305 (diff)
gtk3: draw disabled menubars entries with disabled text color
Change-Id: I9188c6071f62d13a688c1eb6b14b1ac3f7dc77d4

Added Caolán to the CC
Comment 3 Caolán McNamara 2015-07-07 14:08:47 UTC
oops, wrong way around
Comment 4 Commit Notification 2015-07-07 14:17:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13d08f07b4d67afe211997ca37934c45208d50a6

Resolves: tdf#92539 reversed logic on enable/disable

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2015-07-07 14:18:48 UTC
https://gerrit.libreoffice.org/#/c/16823/
Comment 6 Commit Notification 2015-07-07 14:57:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f7970dfc403b3d90c19a6226e1853d5d3fca4a6&h=libreoffice-5-0

Resolves: tdf#92539 reversed logic on enable/disable

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Justin L 2015-07-07 19:36:39 UTC
thanks Caolán.  Confirming that I see this as fixed.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:17:44 UTC Comment hidden (obsolete)